Commit 75a1e79c authored by Jerome Benoit's avatar Jerome Benoit

Imported Debian patch 0.999b+ds3-1

parent c3e8a76b
......@@ -6,14 +6,15 @@ apophenia (0.999b+ds3-1) unstable; urgency=medium
Thorsten Alteholz acting on behalf of the ftpmaster team);
- debian/control:
- Standards Version 3.9.6, bump;
- Build-Depends, remove quilt dependency;
- Build-Depends, remove quilt and add gnulib;
- Multi-Arch support, refine;
- debian/rules:
- override_dh_auto_clean, wipe out (Closes: #764642);
- optimize scheme wrt gsl package scheme;
- ad hoc GNULib support via ACLOCAL_PATH environment variable, set;
- debian/patches/debianization.patch, refine.
-- Jerome Benoit <calculus@rezozer.net> Fri, 10 Oct 2014 13:14:59 +0000
-- Jerome Benoit <calculus@rezozer.net> Fri, 10 Oct 2014 14:10:57 +0000
apophenia (0.999b+ds1-1) unstable; urgency=medium
......
......@@ -4,8 +4,8 @@ Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Build-Depends:
debhelper (>= 9), quilt,
autotools-dev, autoconf-archive, dh-autoreconf, libtool,
debhelper (>= 9),
autotools-dev, autoconf-archive, gnulib, dh-autoreconf, libtool,
pkg-config, help2man,
zlib1g-dev, libmysqlclient-dev, libsqlite3-dev, libgsl0-dev,
bc, sqlite3,
......
upstream-autotools-m4.patch
upstream-wipeout-exit.patch
debianization.patch
debianization-help2man.patch
......
Description: autotools machinery
Bring the missing m4/ld-version-script.m4 M4 material from GNULib;
meant to be submitted to the upstream maintainer.
Origin: debian
Author: Jerome Benoit <calculus@rezozer.net>
Last-Update: 2014-09-08
--- /dev/null
+++ b/m4/ld-version-script.m4
@@ -0,0 +1,53 @@
+# ld-version-script.m4 serial 3
+dnl Copyright (C) 2008-2014 Free Software Foundation, Inc.
+dnl This file is free software; the Free Software Foundation
+dnl gives unlimited permission to copy and/or distribute it,
+dnl with or without modifications, as long as this notice is preserved.
+
+dnl From Simon Josefsson
+
+# FIXME: The test below returns a false positive for mingw
+# cross-compiles, 'local:' statements does not reduce number of
+# exported symbols in a DLL. Use --disable-ld-version-script to work
+# around the problem.
+
+# gl_LD_VERSION_SCRIPT
+# --------------------
+# Check if LD supports linker scripts, and define automake conditional
+# HAVE_LD_VERSION_SCRIPT if so.
+AC_DEFUN([gl_LD_VERSION_SCRIPT],
+[
+ AC_ARG_ENABLE([ld-version-script],
+ AS_HELP_STRING([--enable-ld-version-script],
+ [enable linker version script (default is enabled when possible)]),
+ [have_ld_version_script=$enableval], [])
+ if test -z "$have_ld_version_script"; then
+ AC_MSG_CHECKING([if LD -Wl,--version-script works])
+ save_LDFLAGS="$LDFLAGS"
+ LDFLAGS="$LDFLAGS -Wl,--version-script=conftest.map"
+ cat > conftest.map <<EOF
+foo
+EOF
+ AC_LINK_IFELSE([AC_LANG_PROGRAM([], [])],
+ [accepts_syntax_errors=yes], [accepts_syntax_errors=no])
+ if test "$accepts_syntax_errors" = no; then
+ cat > conftest.map <<EOF
+VERS_1 {
+ global: sym;
+};
+
+VERS_2 {
+ global: sym;
+} VERS_1;
+EOF
+ AC_LINK_IFELSE([AC_LANG_PROGRAM([], [])],
+ [have_ld_version_script=yes], [have_ld_version_script=no])
+ else
+ have_ld_version_script=no
+ fi
+ rm -f conftest.map
+ LDFLAGS="$save_LDFLAGS"
+ AC_MSG_RESULT($have_ld_version_script)
+ fi
+ AM_CONDITIONAL(HAVE_LD_VERSION_SCRIPT, test "$have_ld_version_script" = "yes")
+])
......@@ -11,6 +11,8 @@ else
CFLAGS += -O3
endif
export ACLOCAL_PATH=/usr/share/gnulib/m4
default:
@uscan --no-conf --dehs --report || true
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment